/*
	bordsend.c

	% bord_SendMsg

	OWL 1.1
	Copyright (c) 1986, 1987, 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	12/18/88 jmd	pulled out of border.c

	 5/23/89 jmd	added "border features"
*/

#include "oakhead.h"
#include "disppriv.h"
#include "bordobj.h"
/* -------------------------------------------------------------------------- */

int bord_SendMsg(win, msg, indata, outdata)
	win_type win;
	int msg;
	VOID *indata;
	VOID *outdata;
/*
	Simply a function wrapped around bord_Do to save code size.
*/
{
	return(bord_Do(win, msg, indata, outdata));
}

/* -------------------------------------------------------------------------- */

void bord_SetFeature(win, features)
	win_type win;
	unsigned int features;
/*
	Send a SETFEATURE message to a border.
*/
{
	bord_Do(win, BDM_SETFEATURE, &features, NULL);
}
/* -------------------------------------------------------------------------- */

