/*
	pcrestor.c

	% pc_RestoreDisp

	10/19/88  by Ted.
	Extracted from pcdisp.c

	OWL 1.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

#include "pcpriv.h"
/* -------------------------------------------------------------------------- */

void pc_RestoreDisp()
{
	/* Re-Init video mode */
	if (pcdata->oldmode == pcdata->info.mode) {
		pc_SetMode(pcdata->info.mode);	/* Set mode now if pc_initmode won't */
	}
	pc_initmode();	/* Make sure cursor gets turned off */

	/* Re-Init mouse in case the mode swap confused the mouse driver */
	if (hard_IsMouseOn()) {
		hard_InitMouse();
	}
	disp_Repaint();
}
/* -------------------------------------------------------------------------- */

