/*
	pmapx.c

	% Pixel map related code.

	8/07/88  by Ted.

	OWL 1.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

#include "oakhead.h"
#include "disppriv.h"
/* -------------------------------------------------------------------------- */

void pmap_Clear(pmap, color)
	pmap_type pmap;
	opixval color;
/*
	Clear a pixel image map.
*/
{
	pmapclearreq_struct pmapcr;

	pmapcr.pmap = pmap;
	pmapcr.color = color;

	pmap_Control(PC_CLEARPMAP, &pmapcr, NULL);
}
/* -------------------------------------------------------------------------- */

void pmap_Copy(dpmap, spmap)
	pmap_type dpmap;
	pmap_type spmap;
/*
	Copies one pmap's pixbuf into another's.

	Note: the pmaps must be identical.
*/
{
	pmapcopyreq_struct pmapcr;

	pmapcr.spmap = spmap;
	pmapcr.dpmap = dpmap;

	pmap_Control(PC_COPYPMAP, &pmapcr, NULL);
}
/* -------------------------------------------------------------------------- */

