/*
	pmwinod.h	11/28/88

	% Pmap window / graphics window object data header.
	by Ted.

	OWL 1.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

#include "winod.h"

/* The pmwin class */

typedef struct {
	win_od		wd;		  		/* window super class */
	opcoord		xoffs;
	opcoord		yoffs;
} pmwin_od;

#define pmwin_DoRaw(pmwinobj, msg, indata, outdata) 	\
	obj_DoRaw(pmwin_Class, pmwinobj, msg, indata, outdata)

#define pmwinod_GetSelf(pmwdd)			(winod_GetSelf(&(pmwdd)->wd))

/* request funcs */

OEXTERN objreq_fptr pmwinreq_mousefptr;

/* -------------------------------------------------------------------------- */
/* The grwin class */

typedef struct {
	pmwin_od	pmwd;	  		/* window super class */
} grwin_od;

#define grwin_DoRaw(grwinobj, msg, indata, outdata) 	\
	obj_DoRaw(grwin_Class, grwinobj, msg, indata, outdata)

#define grwinod_GetSelf(grwdd)			(pmwinod_GetSelf(&(grwdd)->pmwd))
/* -------------------------------------------------------------------------- */

