/*
	scancode.h

	% Keyboard scan codes

	OWL 1.1
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	12/20/88 ted	Extracted pcscan.h so we can conditionally
					include different scancodes for different versions.
	 7/18/89 jmd	chnages vmsscan.h to smgscan.h
*/

#ifdef OAK_DOS
#	include "pcscan.h"
#endif

#ifdef OAK_OS2
#	include "pcscan.h"
#endif

#ifdef OAK_UNIX		/*	  	UNIX Dependent Code */
#	include "cursscan.h"
#endif

#ifdef OAK_APOLLO
#	include "gprscan.h"
#endif

#ifdef OAK_SUN		/*	  	SUN Dependent Code */
#	include "sunscan.h"
#endif

#ifdef OAK_VMS		/*	  	VMS Dependent Code */
#	include "smgscan.h"
#endif

#ifdef OAK_STRATUS		/*	  	STRATUS Dependent Code */
#	include "strtscan.h"
#endif

#ifdef OAK_DG	/*	  	Data General C Dependent Code	*/
#	include "dgscan.h"
#endif

