/*
	viadecl.h

	% declarations for Jovian VIA image capture board code

	01/16/89  by Ted.

	OWL 1.1
	Copyright (c) 1988 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

/* -------------------------------------------------------------------------- */
typedef struct via_struct {
	unsigned seg;
	unsigned reg;
	boolean mcb;
} *via_type;
/* -------------------------------------------------------------------------- */

#define via_close(viainfo)			ofree(OA_VIA, viainfo)

/* pcvgrab.c */
via_type via_init(_arg1(void));
boolean via_grab(_arg3(via_type, pmap_type, boolean (*)(_arg1(void)) ));

/* pcvfreez.asm */
boolean via_freeze(_arg1(unsigned addr));
boolean via_unfreeze(_arg1(unsigned addr));
boolean via_testretrace(_arg1(unsigned addr));

boolean via_evgacapture(_arg6(unsigned viaseg, unsigned viareg,
				 byte *pixbuf, int pmnplanes,
				 boolean (*abortfunc)(void), int lines));
boolean via_mcgacapture(_arg5(unsigned viaseg, unsigned viareg,
				 byte *pixbuf, int pmnplanes,
				 boolean (*abortfunc)(void)));
/* -------------------------------------------------------------------------- */

