/*
	winspriv.h

	% window sfile header (private stuff)

	OWL 1.1
	Copyright (c) 1986-1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	---------------------
	 7/22/89 jdc	cleaned and preened
	 8/07/89 jmd	hand expanded macros for wimpy compilers
*/

extern char 		*fsym_FindNameFunc(_arg2(oslist_type, VOID_FPTR));
extern char 		*fsym_FindNamePtr(_arg2(oslist_type, VOID *));
extern VOID_FPTR 	fsym_FindFunc(_arg3(oslist_type, char*, int*));
extern VOID *	 	fsym_FindPtr(_arg3(oslist_type, char*, int*));

#define	sfile_PutFunc(sf, nm, f, n)		oslist_Put((sf)->oslist_array[n], nm, (&(f)))

#define sfile_FindPtrName(sf, f, n)		fsym_FindNamePtr((sf)->oslist_array[n], (VOID *)(f))
#define sfile_FindFuncName(sf, f, n)	fsym_FindNameFunc((sf)->oslist_array[n], (VOID_FPTR)(f))
#define sfile_FindPtr(sf, nm, h, n)		fsym_FindPtr((sf)->oslist_array[n], nm, h)
#define sfile_FindFunc(sf, nm, h, n)	fsym_FindFunc((sf)->oslist_array[n], nm, h)

#define	sfile_GetFuncName(sf, h, n)		oslist_Get((sf)->oslist_array[n], h)

#define win_GetFuncHandle(w, n)			(win_getxd(w)->handles[n - SED_FSYM_COUNT])
#define win_GetFuncName(w, sf, n)		\
		oslist_Get((sf)->oslist_array[n], win_getxd(w)->handles[n - SED_FSYM_COUNT])


/* EXPLODE functions -------------------------------------------------------*/

#define	sfile_PutExplodeFunc(sf, nm, f)	sfile_PutFunc(sf, nm, f, FSYM_EX)

#define sfile_FindExplodeName(sf, f)	 	sfile_FindFuncName(sf, f, FSYM_EX)
#define sfile_FindExplodeFunc(sf, nm, h)	(class_fptr)sfile_FindFunc(sf, nm, h, FSYM_EX)

#define win_GetExplodeName(w, sf)		\
	oslist_Get((sf)->oslist_array[FSYM_EX], win_GetFuncHandle(w, FSYM_EX))

#define win_GetExplodeHandle(w)		(win_getxd(w)->handles[FSYM_EX - SED_FSYM_COUNT])
#define win_SetExplodeHandle(w, h)	(win_getxd(w)->handles[FSYM_EX - SED_FSYM_COUNT] = h)

/* BORDER funcs ------------------------------------------------------------*/

#define	sfile_PutBorderFunc(sf, nm, f)	sfile_PutFunc(sf, nm, f, FSYM_BD)

#define sfile_FindBorderName(sf, f)	 	sfile_FindFuncName(sf, f, FSYM_BD)
#define sfile_FindBorderFunc(sf, nm, h)	(class_fptr)sfile_FindFunc(sf, nm, h, FSYM_BD)

#define win_GetBorderName(w, sf)		\
	oslist_Get((sf)->oslist_array[FSYM_BD], win_GetFuncHandle(w, FSYM_BD))

#define win_GetBorderHandle(w)		(win_getxd(w)->handles[FSYM_BD - SED_FSYM_COUNT])
#define win_SetBorderHandle(w, h)	(win_getxd(w)->handles[FSYM_BD - SED_FSYM_COUNT] = h)

/* MOUHANDLERS -------------------------------------------------------------*/

#define	sfile_PutMouseFunc(sf, nm, f)	sfile_PutFunc(sf, nm, f, FSYM_MS)

#define sfile_FindMouseName(sf, f)	 	sfile_FindFuncName(sf, f, FSYM_MS)
#define sfile_FindMouseFunc(sf, nm, h)	(mouhandler_fptr)sfile_FindFunc(sf, nm, h, FSYM_MS)

#define win_GetMouseName(w, sf)		\
	oslist_Get((sf)->oslist_array[FSYM_MS], win_GetFuncHandle(w, FSYM_MS))

#define win_GetMouseHandle(w)		(win_getxd(w)->handles[FSYM_MS - SED_FSYM_COUNT])
#define win_SetMouseHandle(w, h)	(win_getxd(w)->handles[FSYM_MS - SED_FSYM_COUNT] = h)

/* FONTS -------------------------------------------------------------------*/

#define sfile_PutFontName(sf, nm, ft)

#define sfile_FindFontName(sf, ft)	""
#define sfile_FindFont(sf, nm, h)	

#define win_GetFontName(w, sf)		""

#define win_GetFontHandle(w)		(win_getxd(w)->handles[FSYM_FT - SED_FSYM_COUNT])
#define win_SetFontHandle(w, h)		(win_getxd(w)->handles[FSYM_FT - SED_FSYM_COUNT] = h)

/* USER funcs --------------------------------------------------------------*/
#define	sfile_PutUserFunc(sf, nm, f)	sfile_PutFunc(sf, nm, f, FSYM_US)

#define sfile_FindUserName(sf, f)	 	sfile_FindFuncName(sf, f, FSYM_US)
#define sfile_FindUserFunc(sf, nm, h)	(ufunc_fptr)sfile_FindFunc(sf, nm, h, FSYM_US)

#define	sfile_GetUserName(sf, h)		oslist_Get((sf)->oslist_array[FSYM_US], h)
#define	ufunc_GetUserHandle(bob)		ufuncbob_GetFuncHandle(bob)
#define ufunc_GetUserName(b, sf)		sfile_GetUserName(sf, ufuncbob_GetFuncHandle(b))

/* CLASS funcs -------------------------------------------------------------*/
#define sfile_FindClassFunc(sf, nm, h)	(class_fptr)sfile_FindFunc(sf, nm, h, FSYM_CS)
#define obj_GetClassName(o, sf)			fsym_FindNameFunc((sf)->oslist_array[FSYM_CS], (VOID_FPTR)((o)->dispatch))


