/*
	cmwinod.h		11/28/88

	Cmap window object header.
	by Ted.

	OWL 1.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

#ifndef OAK_CMWINOD
#define OAK_CMWINOD

#include "winod.h"
#include "cmapdecl.h"

/* The cmap window class */

typedef struct {
	win_od		wd;		  		/* window super class */
} cmwin_od;

#define cmwin_DoRaw(cmwinobj, msg, indata, outdata) 	\
	obj_DoRaw(cmwin_Class, cmwinobj, msg, indata, outdata)

#define cmwinod_GetSelf(cmwdd)		(winod_GetSelf(&(cmwdd)->wd))

/* request funcs */

OEXTERN objreq_fptr cmwinreq_mousefptr;

/* -------------------------------------------------------------------------- */
/* The blank char window class */

typedef struct {
	win_od		wd;		  		/* window super class */
} bcwin_od;

#define bcwin_DoRaw(bcwinobj, msg, indata, outdata) 	\
	obj_DoRaw(bcwin_Class, bcwinobj, msg, indata, outdata)

#define bcwinod_GetSelf(bcwdd)		(winod_GetSelf(&(bcwdd)->wd))
/* -------------------------------------------------------------------------- */
#endif

