/*
	commonod.h	11/29/88

	Object primitive definitions.

	by Ted.

	OWL 1.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Note:	Object IDs should be between 10 and 999.
			They are used as omalloc tags.

	Revision History:
	-----------------
*/

#ifndef OAK_COMMONOD
#define OAK_COMMONOD
/* -------------------------------------------------------------------------- */
#define obj_DoRaw(dispatch, objdata, msg, indata, outdata) \
	(*dispatch)((VOID *)(objdata), msg, (VOID *)(indata), (VOID *)(outdata))

/* The 'common' object: the grandaddy of all objects */

/* common object data */
typedef struct {
	obj_type self;		/* pointer back to object shell structure */
} common_od;

/* object get data size structure - used as outdata for OBJM_GETDATASIZE msg */

typedef struct {
	SIZE_T		xdsize;	/* size of public object data */
	SIZE_T		odsize;	/* size of private object data */
	int			id;		/* object ID */
} ogds_struct;

/* common_DoRaw macros to nothing for now */
#define common_DoRaw(objdata, msg, indata, outdata)		(TRUE)

#define commonod_GetSelf(cdd)		((cdd)->self)
/* -------------------------------------------------------------------------- */
#endif

