/*
	oassert.h		11/29/88

	% owl_Assert() related ID's and definitions.

	OWL 1.1
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/
/* -------------------------------------------------------------------------- */

#define C_OWL		0
#define C_SCAPE		1
#define C_CELL		2
#define C_TROUT		3
#define C_LP		4
#define C_SPOT  	5
#define C_SICK  	6

#define oak_Assert(cond, prod, err, num)	\
	if (!(cond)) oak_Error(prod, err, num)

#define owl_Assert(cond, err)				\
	oak_Assert(cond, C_OWL, err, 0)

#define cs_Assert(cond, err, num)			\
	oak_Assert(cond, C_SCAPE, err, num)

#define cc_Assert(cond, err)				\
	oak_Assert(cond, C_CELL, err, 0)

extern void oak_Error(_arg3(int prod, int err, int num));
/* -------------------------------------------------------------------------- */

