/*
	pcmode.h

	% Header for pc_ routines

	5/16/88  by Ted.

	OWL 1.1
	Copyright (c) 1986, 1987, 1988 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/
/* -------------------------------------------------------------------------- */
#define pc_SetRetrace(wait)							\
	((wait) ? text_setretracefuncs(&curr_dmgr->disp.dig) :	\
				text_setnormfuncs(&curr_dmgr->disp.dig))

/* These macros are a special hack to swap from a ram text dig to a bios dig */
#define pc_SetRAM()					text_setnormfuncs(&curr_dmgr->disp.dig)
#define pc_SetBIOS()				text_setbiosfuncs(&curr_dmgr->disp.dig)

/* pctext.c */
extern void 	text_setretracefuncs(_arg1(dig_struct *));
extern void 	text_setnormfuncs(_arg1(dig_struct *));

/* pcbios.c */
extern void 	text_setbiosfuncs(_arg1(dig_struct *));

/* pctextin.c */
extern boolean	pc_GetRetrace(_arg1(void));

/* pcmode.c */
extern int 		pc_GetMode(_arg1(void));
extern void 	pc_SetMode(_arg1(int mode));
extern boolean 	pc_ModeSupport(_arg1(int mode));

extern boolean 	pc_IsHerc(_arg1(void));
extern boolean 	pc_IsMDA(_arg1(void));
extern boolean 	pc_IsCGA(_arg1(void));
extern boolean 	pc_IsEGA(_arg1(void));
extern boolean 	pc_IsMCGA(_arg1(void));
extern boolean 	pc_IsVGA(_arg1(void));
extern boolean	pc_IsCompaqPlasma(_arg1(void));

/* pciscpq.asm */
extern boolean 	pc_IsCompaq(_arg1(void));

/* pcmgraph.c */
extern int		pc_SetModeGraphics(_arg1(void));

/* pcrestor.c */
extern void		pc_RestoreDisp(_arg1(void));

/* Non-standard video mode specifiers */

#define PCMODE_EGA43		0x103
#define PCMODE_VGA50		0x203
#define PCMODE_HERC0		0x10A
#define PCMODE_HERC1		0x10B
#define PCMODE_CPQ40		0x140
/* -------------------------------------------------------------------------- */

