/*
	pmwinobj.h	3/15/88

	% Pmap window object header.
	by Ted.

	OWL 1.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 8/09/88 jmd	revised to use new object stuff
	 9/12/88 jmd	Added in and out data to objects
	 3/24/89 ted	Changed order of args to pmwin_Open and pmwin_PixOpen.
	 7/12/89 ted	Converted '_func' prototypes from typedef to macro.
	 9/12/89 jmd	added scroll message to set pmap
*/

/* #include "winobj.h" - already included via odisp.h */

/* -------------------------------------------------------------------------- */

#define PMWINM_LASTMSG	 (WINM_LASTMSG)

/* The pmwin class */

extern class_func		(pmwin_Class);
extern classinit_func 	(pmwin_MouseInit);

typedef struct {
	win_xd		wd;
	pmap_type 	pmap;
} pmwin_xd;

#define pmwin_getxd(win)			((pmwin_xd *) win_getxd(win))

extern win_type		pmwin_Open(_arg4(class_fptr pmwinclass, int row, int col,
						pmap_type pmap));

extern win_type		pmwin_PixOpen(_arg5(class_fptr pmwinclass, opcoord x, opcoord y,
						pmap_type pmap, ofont_type font));

/* Note included publicly like this because everyone has to include */
/* pmapdecl.h anyway. Having it public makes toon & paint win classes simpler */
#define pmwin_GetPmap(win)			(pmwin_getxd(win)->pmap)
#define pmwin_SetPmap(win, pm)		(pmwin_getxd(win)->pmap = (pm), bord_SendMsg(win, BDM_SCROLL, NULL, NULL))

/* -------------------------------------------------------------------------- */
/* The grwin class */

extern class_func		(grwin_Class);
typedef pmwin_xd		grwin_xd;
#define grwin_getxd(win)			((grwin_xd *) pmwin_getxd(win))

#define grwin_ClassInit	pmwin_ClassInit
#define grwin_GetPmap(win)			pmwin_GetPmap(win)
#define grwin_SetPmap(win, pm)		pmwin_SetPmap(win, pm)

/* -------------------------------------------------------------------------- */

