/*
	sadecl.h

	% sleazy array header

	OWL 1.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

typedef bbc_type sarray_type;

extern VOID    *sa_Get(_arg2(sarray_type, long));
extern VOID    *sa_set(_arg6(sarray_type, long, VOID *, byte, unsigned int, boolean));
extern long		sa_Del(_arg3(sarray_type, long, long));
extern boolean 	sa_find(_arg2(sarray_type, long));

#define	sa_Open(esize, bsize, asize)	bbc_Open(esize, bsize, asize)
#define sa_Put(sa, i, d)				sa_set(sa, i, d, 0, 1, FALSE)
#define sa_Ins(sa, i, d)				sa_set(sa, i, d, 0, 1, TRUE)
#define sa_Blank(sa, i, len, ins)		sa_set(sa, i, NULL, 0, len, ins)
#define	sa_Close(sa)					bbc_Close(sa)
