/*
	winfsym.h

	% Window function symbol definitions

	OWL 1.1
	Copyright (c) 1988, 1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

#define WIN_FSYM_COUNT			4
#define SED_FSYM_COUNT			5
#define TOT_FSYM_COUNT			SED_FSYM_COUNT + WIN_FSYM_COUNT + 2

#define FSYM_EX					SED_FSYM_COUNT
#define FSYM_BD	  				SED_FSYM_COUNT + 1
#define FSYM_MS					SED_FSYM_COUNT + 2
#define FSYM_FT					SED_FSYM_COUNT + 3

/* structure for holding function symbol list initialization data */
typedef struct {

	char 		*name;
	VOID_FPTR	fptr;
	VOID		*dptr;
        
} fsyminit_struct;


